/* Copyright (C) 2011-2023  Patrick H. E. Foubet - E2L Ivry
Ecole du Logiciel Libre : https://e2li.org/

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or any
later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>
*******************************************************************/

package main

import (
	"fmt"
	"math/rand"
	"time"
)

func main() {
	var x = 1
	if x > 5 {
		fmt.Println("x est superieur a 5")
	}

	for i := 1; i < 100; i++ {
		fizzbuzz(i)
	}
	// Decommenter cette ligne pour avoir l'erreur depassement de capacite
	// fmt.Println(minRand(5000000000000000000))
}

func fizzbuzz(n int) {
	if n%15 == 0 {
		fmt.Println("FizzBuzz")
	} else if (n % 5) == 0 {
		fmt.Println("Buzz")
	} else if (n % 3) == 0 {
		fmt.Println("Fizz")
	} else {
		fmt.Println(n)
	}
}

func minRand(min int) int {
	rand.Seed(time.Now().UnixNano())
	if v := rand.Int(); v > min {
		return v
	}
	return min
}

func isEven(n int) bool {
	if n%2 == 1 {
		return false
	}
	return true
}
