/* Copyright (C) 2011-2023  Patrick H. E. Foubet - E2L Ivry
Ecole du Logiciel Libre : https://e2li.org/

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or any
later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>
*******************************************************************/

package main

import (
	"fmt"
	"math"
)

var User string = "E2L !"

type person struct {
	int
}

type aint int

const (
	BigConst      = math.MaxFloat64 * math.MaxFloat64
	data     aint = 10
)

const (
	a0 = iota // 0
	a1 = iota // 1
	a2 = iota // 2
	a3 = iota // 3
)

const (
	b0 = iota // 0
	b1        // 1
	b2        // 2
	b3        // 3
)

const (
	c0 = iota // 0
	c1 = 43
	c2 = 75
	c3 = iota // 3
)

const d0 = iota //0
const d1 = iota //0
const d2 = iota //0
const d3 = iota //0

func main() {
	fmt.Println(a0, a1, a2, a3)
	fmt.Println(b0, b1, b2, b3)
	fmt.Println(c0, c1, c2, c3)
	fmt.Println(d0, d1, d2, d3)
	fmt.Println("Vive " + User);
}

